﻿/*****************************************************************************
 *   Config.h:  Fichero de configuración
 *
 *   Copyright(C) 2014, Jesús Nicolás
 *   All rights reserved.
 *
 *
******************************************************************************/

#ifndef CONFIG_H_
#define CONFIG_H_

// Para Activar/desactivar DEBUG
//#define MODE_DEBUG


//  Parametros de acelerometro.c, adc.c, uart.c, printf.c  wifly.c

#define RedSIZE		64
#define LowSIZE		128
#define MinSIZE		256
#define TipSIZE		512
#define MaxSIZE		1024
#define SuperSIZE	2048
#define BroadcastSIZE	110

#define UART0		0
#define UART1		1
#define UART2		2
#define UART3		3

#define BR_96	 	9600
#define BR_192	 	19200
#define BR_384	 	38400
#define BR_576	 	57600
#define BR_1152	 	115200

#define Brute		0  // Used for Active Delay
#define Task		1  // User for Passive Delay

#define LockNONE	0  // Not used Block
#define LockTASK	1  // Used for Block with vTaskSuspend
#define LockMUTEX	2  // Used for Block with Semaphore (Normal -> Printf, Recursive -> Wifly)

#define HTTP		"80"
#define ALTER		"8080"
#define TELNET		"23"
#define OTHER		"20"

/*  Busca el SSID en todos los canales WIFI y si no lo encuentra se autoconfigura como APNODE
    Si lo encuentra se confiugura como CLIENTE
    Si no está activado cada equipo arranca según tenga configurado su WiFly (Más rápido)
 */
// Descomentar para que se auto configure la unidad como APMODE o CLIENTE
//#define AUTOWIFION


#define REDW		"red"
#define PASSW		"password"

#define WEB11		"HTTP/1.1"
#define CLAVEB		"JNJ"
#define SSID		"JNJ"

#define UART_CON		(UART3)
#define UART_WIFLY	    (UART0)
#define BR_DBG			(BR_1152)
#define BR_WF			(BR_1152)
//#define BR_WF			(BR_96)
#define WEB				(WEB11)
#define NetPORT			(HTTP)
#define DELAY			(Task)
#define LOCK			(LockMUTEX)
#define GetSIZE			(MinSIZE)
#define SendSIZE		(LowSIZE)
#define BUFSIZE 		(RedSIZE)

// Parametros de ADC y acelerometro

#define Valor_X      		ADC0    //Salida eje X  (Pin P0.23)
#define Valor_Y      		ADC1	//Salida eje Y	(Pin P0.24)
#define Valor_Z      		ADC2	//Salida eje Z	(Pin P0.25)
#define Port_Ctr_ADC 		LPC_GPIO0    //  Puerto 0
#define Port_Ctr_ACL 		LPC_GPIO0    //  Puerto 0
#define Port_Test_ACL  		LPC_GPIO0    //  Puerto 0
#define SL           		UP			 // SL (Sleep)  Conexion directa mediante resistencia 10K
#define GS			 		(1 << 18)    // GS - Get Select (Pin 11 -  P018)
#define GS_On   			Port_Ctr_ACL->High=(GS) 	// GS on
#define GS_Off   			Port_Ctr_ACL->Down=(GS)	// GS off
#define Ace_offset	 		100 // Define la sensibilidad del estado de movimiento
#define Ace_sen			 	10 // Define la sensibilidad del estado de reposo


//Máscaras
#define GetPuerto   	FIOPIN
#define SetPuerto 		FIODIR
#define High	  		FIOSET
#define Down	  		FIOCLR
#define Enmascara   	FIOMAS

//Mácaras LEDs

#define LED_1_MASK			(1 << 6)
#define LED_2_MASK			(1 << 7)
#define LED_3_MASK			(1 << 8)
#define LED_4_MASK			(1 << 9)

//Estados autómata

#define ESTADO_INICIAL		5
#define ESTADO_1 			1
#define ESTADO_2 			2
#define ESTADO_3 			3
#define ESTADO_4 			4
#define ESTADO_5 			5

#define MAX_CICLOS 		6  // número de ciclos en el que se mantiene el broadcast
#define MAX_INTER 		10  // número de segundos que se activará el intervalo de broadcast
#define DISPOSITIVO 	"01"  // número de dispositivo por defecto
#define O_LOCAL 		1   // Origen del cambio en el estado Local
#define O_REMOTO 		2   // Origen del cambio en el estado Remoto


#endif /* CONFIG_H_ */
